<?php
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona; 
include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo; 
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio; 
include_once($ruta."funciones/funciones.php");
extract($_POST);

$existe=$persona->mostrarTodo("carnet='$carnet'");

    if(count($existe)>0)
    {
	   $per=$persona->mostrarTodo("carnet='$carnet'");
	   $IDpersona=$per['idpersona'];
	   $existe2=$personagrupo->mostrarTodo("idpersona=".$IDpersona);
		if (count($existe2)>0) 
		{
			$existe3=$personagrupo->mostrarTodo("idpersona=".$IDpersona." and idgrupo=".$idgrupo);
			if (count($existe3)>0) 
			{
				echo '4'; //ya hace parte de este grupo (NO PUEDE VOLVER A REGISTRARSE)
			}else{
				echo '3'; //Se puede registrar en este grupo, pero se encuantra en otro grupo
			}
		}else{
			echo '2'; //no estas en ningun grupo (LIBRE)
		}
 
	}else{
		echo '1'; //REGISTRAR NUEVO
	}
 
?>
